%------------------------------------------------------------------------
% Routine     : ausim
%
% Description : Configuring analysis-parameters
%                   (concerns peusim.m file)
%
% Language    : Matlab 4.0
% Written by  : Vingmed Sound A/S, Trond Kleveland
%
% Version no. : 1.0 TKL 03.09.93 First version
%
% Called by   : usimcnf
% Calling     : ausimtxt
%------------------------------------------------------------------------

function [analysis]=ausim(analysis)

fid = 1;

tmp=size(analysis);
if tmp(2)<2
	tmp=analysis;
	analysis=zeros([1,2]);
	analysis([1:1:length(tmp)])=tmp;
end

com1=0;
while com1~='x'
  clc

  ausimtxt;
  
  disp('	CHANGE 	= "number 1-2"')
  disp('	EXIT	= "x"')
  com1 = input('-> Decision (<CR> = exit): ','s');
  if isempty(com1) com1 = 'x'; end
  if length(com1)==1 com1=['0',com1];end
  

  % changing of parameters

  if com1=='01'
    temp=input('Rf or Envelope [0/1] =  ');
    if ~isempty(temp) analysis(1)=temp; end
  elseif com1=='02'
    temp=input('Distance or Time based analysis [0/1] =  ');
    if ~isempty(temp) analysis(2)=temp; end
  end
end








