%------------------------------------------------------------------------
% Routine         	: uitrsd.m       
%
% Description     	: enable user interface for transducer plot
%                         (pop-ups and sliders)
% Language        	: Matlab 4.0 
% Originator, date	: Sverre Holm, VMS, 20. April 1993                     
% Version no.     	: 1.0 SH 18 May 1993
%                         1.1 SH 21.12.1993 removed color and shading
% Called by       	: uitrsd 
% Routines called 	: setazel %------------------------------------------------------------------------
 
AZ = uicontrol('Style','Slider','Min',-90,'Max',90, ...
        'Units','normalized', 'Position',[0.84 0.95 0.15 0.0333],...
        'Callback','setazel','Value',-37.5);

text1 = uicontrol('Style','text','string','Az','Units','normalized');
set(text1,'pos',[0.80 0.95 0.03 0.0333]);
 
EL = uicontrol('Style','Slider','Min',-90,'Max',90, ...
        'units', 'normalized','Position',[0.97 0.68 0.02 0.25], ... 
        'Callback','setazel','Value',30);

text2 = uicontrol('Style','text','string','El','Units','normalized');
set(text2,'pos',[0.97 0.63 0.02 0.04]);
