%------------------------------------------------------------------------
% Routine     : listinit
% 
% Description : 
% 
% Language    : Matlab 4.1
% Written by  : Vebjoern Berre, IBT
%
% Version no. : 3.0 VEB xx.xx.93 First version
%             : 3.1 TKL 13.07.93 Corrected ['xyzt']' to ['xyzt']
%             : 3.2 TKL 22.09.93 Removed analysis
%
% Called by   : listusim 
% Calling     : 
% ------------------------------------------------------------------------
tmp=size(excitation);
if tmp(2)<12
	tmp=excitation;
	excitation=zeros([1,12]);
	excitation([1:1:length(tmp)])=tmp;
end

tmpsize=size(media);
if tmpsize(2)<10 
  tmp=media;
  media=zeros([tmpsize(1),10]);
  media([1:tmpsize(1)],[1:tmpsize(2)])=tmp;
end

tmp=size(observasjon);
if tmp(2)<15
	tmp=observasjon;
	observasjon=zeros([1,14]);
	observasjon([1:1:length(tmp)])=tmp;
end

lambda=media(1,2)/excitation(1);
if length(flagg)>4
  if flagg(5)==1
    lambda_local=1;
  elseif flagg(5)==2
    lambda_local=media(1,2)/excitation(1)*1e3;
  end
else
  lambda_local=1;
end

tmp=size(transducer);
if tmp(2)<18 
  tmp=transducer;
  transducer=zeros([1,18]);
  transducer([1:1:length(tmp)])=tmp;
end

if flagg(4)==1;
  fast=['xyzt'];
elseif flagg(4)==3;
  fast=['rhpt'];
end






