%------------------------------------------------------------------------
% Routine         : menu35_0.m
%
% Description     : A slight modification of menu35.m. The first menu-option
%		    is labeled '0)' instead of '1)'. This has been done to
%		    ensure compability with some of the existing configuration
%		    modules.
%                                             
% Language        : Matlab 4.1
% Written by      : Frode Teigen (IBT)

% Version no.     : 3.0 FT 27.09.93 (First Version - Modification of 
%						     menu35.m by VEB)
% Called by       : t3usim.m
% Calling	  : none
%------------------------------------------------------------------------

function Y = menu35_0(s0,s1,s2,s3,s4,s5,s6,s7,s8,s9,s10,s11,s12,s13,s14,s15,s16,...
            s17,s18,s19,s20,s21,s22,s23,s24,s25,s26,s27,s28,s29,s30,s31,s32);

	disp(' ')
	disp(['----- ',s0,' -----'])
	disp(' ')
	for i=0:(nargin-2)
	    disp(['      ',int2str(i),') ',eval(['s',int2str(i+1)])])
	end
	disp(' ')
	Y = input('Select a menu number: ');
	return
