%------------------------------------------------------------------------
% Routine         	: vw.m
% 
% Description     	: masterfile using vwhex or vwrec depending on 
%                         the value of local_flag ( 1->rect, 3->hex )
% 
% Language        	: Matlab 4.0 
% Originator, date	: VEB 22/4-93 
% Modified by		:
% Modification date	: 
% Version no.     	: 1.0
% Called by       	: 
% Routines called       : vwrect, vwhex
%------------------------------------------------------------------------

function Y=vw(x1,x2,x3,local_flag)

if local_flag==1
  Y=vwrect(x1,x2,x3);
elseif local_flag==3
  Y=vwhex(x1,x2,x3);
end

