%------------------------------------------------------------------------
% Routine         	: setazel.m       
%
% Description     	: set azimuth and elevation for view of transducer                                   %
% Language        	: Matlab 4.0 
% Originator, date	: Sverre Holm, VMS, 20. April 1993           
% Modified by		: SH
% Modification date	: 18 May 1993           
% Version no.     	: 1.0
% Called by       	: uitrsd 
% Routines called 	: none %------------------------------------------------------------------------
 
 
az=get(AZ,'Value');
el=get(EL,'Value');
disp(['Azimuth: ',num2str(az),' Elevation: ',num2str(el)])
view([az,el]); 
 
